
From: Anton Blanchard <anton@samba.org>

I've started seeing rtas errors printed twice.  Remove the second call to
printk_log_rtas.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/rtasd.c |   12 +++++-------
 1 files changed, 5 insertions(+), 7 deletions(-)

diff -puN arch/ppc64/kernel/rtasd.c~ppc64-rtas-error-logs-can-appear-twice-in-dmesg arch/ppc64/kernel/rtasd.c
--- 25/arch/ppc64/kernel/rtasd.c~ppc64-rtas-error-logs-can-appear-twice-in-dmesg	2004-09-11 16:29:19.658565168 -0700
+++ 25-akpm/arch/ppc64/kernel/rtasd.c	2004-09-11 16:29:19.661564712 -0700
@@ -216,12 +216,13 @@ void pSeries_log_error(char *buf, unsign
 	if (!no_more_logging && !(err_type & ERR_FLAG_BOOT))
 		nvram_write_error_log(buf, len, err_type);
 
-	/* rtas errors can occur during boot, and we do want to capture
+	/*
+	 * rtas errors can occur during boot, and we do want to capture
 	 * those somewhere, even if nvram isn't ready (why not?), and even
-	 * if rtasd isn't ready. Put them into the boot log, at least.  */
-	if ((err_type & ERR_TYPE_MASK) == ERR_TYPE_RTAS_LOG) {
+	 * if rtasd isn't ready. Put them into the boot log, at least.
+	 */
+	if ((err_type & ERR_TYPE_MASK) == ERR_TYPE_RTAS_LOG)
 		printk_log_rtas(buf, len);
-	}
 
 	/* Check to see if we need to or have stopped logging */
 	if (fatal || no_more_logging) {
@@ -233,9 +234,6 @@ void pSeries_log_error(char *buf, unsign
 	/* call type specific method for error */
 	switch (err_type & ERR_TYPE_MASK) {
 	case ERR_TYPE_RTAS_LOG:
-		/* put into syslog and error_log file */
-		printk_log_rtas(buf, len);
-
 		offset = rtas_error_log_buffer_max *
 			((rtas_log_start+rtas_log_size) & LOG_NUMBER_MASK);
 
_
